Commit 2768500d authored by Mark Olesen's avatar Mark Olesen
Browse files

CONFIG: remove WM_LINK_LANGUAGE env variable (always c++)

- was somewhat redundant in wmake/rules/General/general anyhow
parent b4d38ab4
......@@ -141,7 +141,6 @@ endsw
# wmake configuration
setenv WM_DIR $WM_PROJECT_DIR/wmake
setenv WM_LINK_LANGUAGE c++
setenv WM_LABEL_OPTION Int$WM_LABEL_SIZE
setenv WM_OPTIONS $WM_ARCH$WM_COMPILER$WM_PRECISION_OPTION$WM_LABEL_OPTION$WM_COMPILE_OPTION
......
......@@ -53,7 +53,6 @@ unsetenv WM_HOSTS
unsetenv WM_LABEL_OPTION
unsetenv WM_LABEL_SIZE
unsetenv WM_LDFLAGS
unsetenv WM_LINK_LANGUAGE
unsetenv WM_MPLIB
unsetenv WM_NCOMPPROCS
unsetenv WM_OPTIONS
......
......@@ -135,7 +135,6 @@ esac
# wmake configuration
export WM_DIR=$WM_PROJECT_DIR/wmake
export WM_LINK_LANGUAGE=c++
export WM_LABEL_OPTION=Int$WM_LABEL_SIZE
export WM_OPTIONS=$WM_ARCH$WM_COMPILER$WM_PRECISION_OPTION$WM_LABEL_OPTION$WM_COMPILE_OPTION
......
......@@ -44,7 +44,6 @@ unset WM_HOSTS
unset WM_LABEL_OPTION
unset WM_LABEL_SIZE
unset WM_LDFLAGS
unset WM_LINK_LANGUAGE
unset WM_MPLIB
unset WM_NCOMPPROCS
unset WM_OPTIONS
......
......@@ -26,9 +26,9 @@ else
endif
include $(DEFAULT_RULES)/general
include $(DEFAULT_RULES)/$(WM_LINK_LANGUAGE)
include $(DEFAULT_RULES)/c++
sinclude $(RULES)/general
sinclude $(RULES)/$(WM_LINK_LANGUAGE)
sinclude $(RULES)/c++
include $(GENERAL_RULES)/transform
......
......@@ -27,10 +27,10 @@ MakeDir=Make
checkEnv()
{
for envar in WM_OPTIONS WM_LINK_LANGUAGE WM_DIR WM_PROJECT_DIR
for check in WM_PROJECT_DIR WM_OPTIONS WM_DIR
do
eval test "\$$envar" || {
echo "$Script error: environment variable \$$envar not set" 1>&2
eval test "\$$check" || {
echo "$Script error: environment variable \$$check not set" 1>&2
exit 1
}
done
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment